export type OnPlayersPaired = (player1Id: string, player2Id: string)=> void;

export interface MatchMaker {
    join(playerId : string): void;
    cancel(playerId : string): boolean;
    listenOnPlayersPaired(onPlayersPaired: OnPlayersPaired ) : void;
}